admin-providers
Test Provider Connection
Test connection to a service provider.
POST
/
admin
/
providers
/
test-connection
Test Provider Connection
curl --request POST \
--url https://api.example.com/admin/providers/test-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"api_key": "<string>",
"enabled": true,
"priority": 1,
"timeout_seconds": 30,
"metadata": {}
}
'import requests
url = "https://api.example.com/admin/providers/test-connection"
payload = {
"name": "<string>",
"url": "<string>",
"api_key": "<string>",
"enabled": True,
"priority": 1,
"timeout_seconds": 30,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
api_key: '<string>',
enabled: true,
priority: 1,
timeout_seconds: 30,
metadata: {}
})
};
fetch('https://api.example.com/admin/providers/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Provider configuration model.
Required string length:
1 - 255Service type enumeration.
Available options:
asr, tts, mt, llm Required string length:
1 - 500Minimum string length:
1Required range:
1 <= x <= 10Required range:
5 <= x <= 120Response
Successful Response
Previous
Get Provider RecommendationsGet provider recommendations based on use case and requirements.
Next
⌘I
Test Provider Connection
